---
title: String.prototype.toString()
slug: Web/JavaScript/Reference/Global_Objects/String/toString
tags:
  - JavaScript
  - Method
  - Prototype
  - Reference
  - String
---
<div>{{JSRef}}</div>

<p>The <strong><code>toString()</code></strong> method returns a string representing the specified object.</p>

<div>{{EmbedInteractiveExample("pages/js/string-tostring.html")}}</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><code><var>str</var>.toString()</code></pre>

<h3 id="Return_value">Return value</h3>

<p>A string representing the calling object.</p>

<h2 id="Description">Description</h2>

<p>The {{jsxref("String")}} object overrides the <code>toString()</code> method of the {{jsxref("Object")}} object; it does not inherit {{jsxref("Object.prototype.toString()")}}. For {{jsxref("String")}} objects, the <code>toString()</code> method returns a string representation of the object and is the same as the {{jsxref("String.prototype.valueOf()")}} method.</p>

<h2 id="Examples">Examples</h2>

<h3 id="Using_toString">Using <code>toString()</code></h3>

<p>The following example displays the string value of a {{jsxref("String")}} object:</p>

<pre class="brush: js">var x = new String('Hello world');

console.log(x.toString()); // logs 'Hello world'
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
  </tr>
  <tr>
   <td>{{SpecName('ESDraft', '#sec-string.prototype.tostring', 'String.prototype.toString')}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p class="hidden">The compatibility table in this page is generated from structured data. If you'd like to contribute to the data, please check out <a href="https://github.com/mdn/browser-compat-data">https://github.com/mdn/browser-compat-data</a> and send us a pull request.</p>

<p>{{Compat("javascript.builtins.String.toString")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{jsxref("Object.prototype.toSource()")}}</li>
 <li>{{jsxref("String.prototype.valueOf()")}}</li>
</ul>
